rte_eth_cman_config(3)

NAME
rte_eth_cman_config

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

enum rte_eth_cman_obj obj
enum rte_cman_mode mode

Detailed Description

Warning
    EXPERIMENTAL: this structure may change, or be removed, without prior notice

A structure used to configure the ethdev congestion management.

Definition at line 6103 of file rte_ethdev.h.

Field Documentation

  enum rte_eth_cman_obj obj
Congestion management object

Definition at line 6105 of file rte_ethdev.h.

  enum rte_cman_mode mode
Congestion management mode

Definition at line 6107 of file rte_ethdev.h.

  uint16_t rx_queue
Rx queue to configure congestion management.

Valid when object is RTE_ETH_CMAN_OBJ_RX_QUEUE or RTE_ETH_CMAN_OBJ_RX_QUEUE_MEMPOOL.

Definition at line 6115 of file rte_ethdev.h.

  uint8_t rsvd_obj_params[4]
Reserved for future fields. It must be set to 0 when rte_eth_cman_config_set() is invoked and will be returned as 0 when rte_eth_cman_config_get() is invoked.

Definition at line 6122 of file rte_ethdev.h.

  struct rte_cman_red_params red
RED configuration parameters.

Valid when mode is RTE_CMAN_RED.

Definition at line 6130 of file rte_ethdev.h.

  uint8_t rsvd_mode_params[4]
Reserved for future fields. It must be set to 0 when rte_eth_cman_config_set() is invoked and will be returned as 0 when rte_eth_cman_config_get() is invoked.

Definition at line 6137 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.